Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 05 Aug 2022 05:20:08 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Click and collect it should be faster way to shopping but in reality you made it more complicated i thought it will save time but no if i go grab the items by myself it's faster this feature just waste of time it take more than 3 days to collect the order which in same shop I went there to collect it and they waste my time at the end they said it's not ready and I sow the Items in shop but because I already paid i didn't get them and they said you can't get them now. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4683661